BLAEU(1)

NAME
Blaeu - Display the PKIX certificate

SYNOPSIS
blaeu-cert target-name-or-IP

DESCRIPTION

  General options are:

--verbose or -v : makes the program more talkative

--help or -h : this message

--displayprobes or -o : display the probes numbers (WARNING: big lists)

--displayprobeasns : display the (unique) probe ASNumbers (currently only for blaeu-resolve)

--cache-probes=<file.json> : cache probe data

--country=2LETTERSCODE or -c 2LETTERSCODE : limits the measurements to one country (default is world-wide)

--area=AREACODE or -a AREACODE : limits the measurements to one area such as North-Central (default is world-wide)

--asn=ASnumber or -n ASnumber : limits the measurements to one AS (default is all ASes)

--prefix=IPprefix or -f IPprefix : limits the measurements to one IP prefix (default is all prefixes) WARNING: it must be an *exact* prefix in the global routing table

--probes=N or -s N : selects the probes by giving explicit ID (one ID or a comma-separated list)

--requested=N or -r N : requests N probes (default is 5)

--percentage=X or -p X : stops the program as soon as X % of the probes reported a result (default is 90 %)

--measurement-ID=N or -m N : do not start a measurement, just analyze a former one

--old-measurement MSMID or -g MSMID : uses the probes of measurement MSMID

--include TAGS or -i TAGS : limits the measurements to probes with these tags (a comma-separated list)

--exclude TAGS or -e TAGS : excludes from measurements the probes with these tags (a comma-separated list)

--port=N or -t N : destination port for TCP (default is 443)

--size=N or -z N : number of bytes in the packet (default is 64 bytes)

--ipv4 or -4 : uses IPv4 (default is IPv6, except if the parameter or option is an IP address, then it is automatically found)

--tags TAGS : tag the measurement (no relationship with probes tags) (a comma-separated list)

--spread or -w : spreads the tests (add a delay before the tests)

--private : makes the measurement private

--resolve-on-probe : resolve names with the probe's DNS resolver

--machine-readable or -b : machine-readable output, to be consumed by tools like grep or cut

  Also:

--issuer or -I : displays the issuer (default is to display the name)

--key or -k : displays the public key (default is to display the name)

--serial or -S : displays the serial number (default is to display the name)

--expiration or -E : displays the expiration datetime (default is to display the name)

--entire-chain : displays all the certificates (default is to display the first)

--hostname : hostname to send for SNI (default is to use the target)

--no-sni : do not send the SNI (Server Name Indication) (default is to send it)

SEE ALSO
The full documentation for Blaeu is maintained as a Texinfo manual. If the info and Blaeu programs are properly installed at your site, the command

    info Blaeu

should give you access to the complete manual.